Groundeddocs
ReferenceAdmin

Change a classification level's name, description or maximum audience

PATCH/v1/admin/classifications/{key}

Path Parameters

key*string

Header Parameters

If-Match*string

The resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/admin/classifications/string" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "key": "sensitive",    "name": "string",    "description": "string",    "rank": 0,    "maxAudience": "team",    "anonymousRetentionHours": 0,    "conversationRetentionDays": 0,    "allowedSourceTypes": [      "upload"    ],    "directRetrieve": true,    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}